import { ILogger } from 'typescript-ilogger';
import { LogHelper } from './log-helper';
import { ObjectOperations } from './object-operations';
import { Orchestrator } from './orchestrator';
/**
 * Base class
 */
export declare class BaseClass {
    /**
     * Logger
     */
    Logger: ILogger;
    /**
     * Log Helper
     */
    LogHelper: LogHelper;
    /**
     * Object Operations
     */
    ObjectOperations: ObjectOperations;
    /**
     * Orchestrator
     */
    Orchestrator: Orchestrator;
    /**
     * Initialize new instance of BaseClass
     * @param logger {ILogger} Logger
     */
    constructor(logger: ILogger);
}
