import { ILogger } from 'typescript-ilogger';
/**
 * Functions to help logging
 */
export declare class LogHelper {
    /**
     * Logger
     */
    Logger: ILogger;
    /**
     * Create new instance of LogHelper
     * @param logger {ILogger} Logger
     */
    constructor(logger: ILogger);
    /**
     * Log the inputs to a function
     * @param action {string} Action method currently in
     * @param inputs {object} Inputs to log
     */
    LogInputs(action: string, inputs: object): void;
    /**
     * Log the request to a SDK function call
     * @param action {string} Action method currently in
     * @param inputs {object} Inputs to log
     */
    LogRequest(action: string, request: object): void;
    /**
     * Log the response to a SDK function call
     * @param action {string} Action method currently in
     * @param inputs {object} Inputs to log
     */
    LogResponse(action: string, response: object): void;
}
