"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogHelper = void 0;
/**
 * Functions to help logging
 */
class LogHelper {
    /**
     * Create new instance of LogHelper
     * @param logger {ILogger} Logger
     */
    constructor(logger) {
        this.Logger = logger;
    }
    /**
     * Log the inputs to a function
     * @param action {string} Action method currently in
     * @param inputs {object} Inputs to log
     */
    LogInputs(action, inputs) {
        this.Logger.Trace(`[${action}]-Inputs: ${JSON.stringify({ inputs })}`);
    }
    /**
     * Log the request to a SDK function call
     * @param action {string} Action method currently in
     * @param inputs {object} Inputs to log
     */
    LogRequest(action, request) {
        this.Logger.Trace(`[${action}]-Request: ${JSON.stringify({ request })}`);
    }
    /**
     * Log the response to a SDK function call
     * @param action {string} Action method currently in
     * @param inputs {object} Inputs to log
     */
    LogResponse(action, response) {
        this.Logger.Trace(`[${action}]-Response: ${JSON.stringify({ response })}`);
    }
}
exports.LogHelper = LogHelper;
//# sourceMappingURL=log-helper.js.map