import { ILogger } from 'typescript-ilogger';
/**
 * Functions to orchestrate code
 */
export declare class Orchestrator {
    /**
     * Logger
     */
    Logger: ILogger;
    /**
     * Initialize new instance of BaseClass
     * @param logger {ILogger} Logger
     */
    constructor(logger: ILogger);
    /**
     * Orchestrate a function
     * @param actionToTake {function} Async function to run.
     */
    Orchestrate(actionToTake: () => void): boolean;
    /**
     * Orchestrate a function with async calls in it
     * @param actionToTake {function} Async function to run.
     */
    OrchestrateAsync(actionToTake: () => Promise<void>): Promise<boolean>;
}
