"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const orchestrator_1 = require("./orchestrator");
const typescript_ilogger_1 = require("typescript-ilogger");
const logger = new typescript_ilogger_1.Logger(typescript_ilogger_1.LogLevel.Off);
const orchestrator = new orchestrator_1.Orchestrator(logger);
/**
 * Test the constructor method
 */
describe(`${orchestrator_1.Orchestrator.name}`, () => {
    test('should create class and have logger defined', () => {
        const localOrchestrator = new orchestrator_1.Orchestrator(logger);
        return expect(localOrchestrator.Logger).toBeDefined();
    });
});
/**
 * Test the Orchestrate method
 */
describe(`${orchestrator_1.Orchestrator.name}.${orchestrator.Orchestrate.name}`, () => {
    test('should return true passing function', () => {
        const actual = orchestrator.Orchestrate(() => {
            // tslint comment
        });
        return expect(actual).toEqual(true);
    });
    test('should return false passing function that throws', () => {
        const actual = orchestrator.Orchestrate(() => {
            throw new Error();
        });
        return expect(actual).toEqual(false);
    });
});
/**
 * Test the OrchestrateAsync method
 */
describe(`${orchestrator_1.Orchestrator.name}.${orchestrator.OrchestrateAsync.name}`, () => {
    test('should return true passing function - async', () => {
        const actual = orchestrator.OrchestrateAsync(() => __awaiter(void 0, void 0, void 0, function* () {
            // tslint comment
        }));
        return expect(actual).resolves.toEqual(true);
    });
    test('should return false passing function that throws - async', () => {
        const actual = orchestrator.OrchestrateAsync(() => __awaiter(void 0, void 0, void 0, function* () {
            throw new Error();
        }));
        return expect(actual).resolves.toEqual(false);
    });
});
//# sourceMappingURL=orchestrator.spec.js.map